﻿/* mega324PB_LCD.c
 * Вывод двух строк на ЖКИ и мигание светодиодами LED1 и LED2
 * Создан: 1 марта 2018 г.
 * Автор : AS-kit  */ 

#include "mega324pb.h"
#include "lcd.h"
  
#define LED1 (1<<5)   
#define LED2 (1<<6)  

void port_init	(void)
{
	DDRB=0xFF;
	PORTB=0x00;
	DDRD=0xFF;
	PORTD=0x00;
}

int main(void)
{
	port_init();
	lcd_init();
	clearlcd();
	setpos(0,0);
	str_lcd("Hi Polina!");
	setpos(2,1);
	str_lcd("Hello World!");
	
	DDRD  |= (LED1 | LED2);
	PORTD |= LED1;
	PORTD &= ~LED2;
	
	while(1)
	{
		 PORTD ^= (LED1 | LED2); // инвертирование LED1 и LED2
		 _delay_ms(250);
	}
}
